%if 0%{?fedora}
%global with_python3 1
%endif

%global srcname grafyaml

Name:           python-%{srcname}
Version:        0.0.5
Release:        9%{?dist}
Summary:        Tools to make Grafana dashboards from templates

License:        ASL 2.0
URL:            http://pypi.python.org/pypi/%{srcname}
Source0:        http://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pbr
# Test requirements
BuildRequires:  python2-dogpile-cache
BuildRequires:  python2-fixtures
BuildRequires:  python2-requests-mock
BuildRequires:  python2-testrepository
BuildRequires:  python2-testscenarios
BuildRequires:  python2-mock
BuildRequires:  python2-requests
BuildRequires:  python2-slugify >= 1.2.0
BuildRequires:  python2-testtools
BuildRequires:  python2-voluptuous
BuildRequires:  python2-yaml

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-pbr
# Test requirements
BuildRequires:  python3-dogpile-cache
BuildRequires:  python3-fixtures
BuildRequires:  python3-mock
BuildRequires:  python3-requests
BuildRequires:  python3-requests-mock
BuildRequires:  python3-slugify >= 1.2.0
BuildRequires:  python3-testrepository
BuildRequires:  python3-testscenarios
BuildRequires:  python3-testtools
BuildRequires:  python3-voluptuous
BuildRequires:  python3-yaml
%endif

%description
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.

%package -n python2-%{srcname}
Summary:   %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

Requires:  python2-dogpile-cache
Requires:  python2-pbr
Requires:  python2-requests
Requires:  python2-slugify >= 1.2.0
Requires:  python2-voluptuous
Requires:  python2-yaml

%description -n python2-%{srcname}
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.

%if 0%{?with_python3}
%package -n python3-%{srcname}
Summary:   %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:  python3-dogpile-cache
Requires:  python3-pbr
Requires:  python3-requests
Requires:  python3-slugify >= 1.2.0
Requires:  python3-voluptuous
Requires:  python3-yaml

%description -n python3-%{srcname}
Grafyaml takes simple descriptions of Grafana dashboards in YAML format, and
uses them to configure Grafana.
%endif

%package doc
Summary:       Documentation of Grafyaml
BuildRequires: python2-oslo-sphinx
BuildRequires: python2-sphinx

%description doc
Documentation of Grafyaml.

%prep
%autosetup -n %{srcname}-%{version}
# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
# Must do the python2 install first because the scripts in /usr/bin are
# overwritten with every setup.py install, and in general we want the
# python3 version to be the default.
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

## generate html docs
%{__python} setup.py build_sphinx
rm -rf doc/build/html/.{doctrees,buildinfo} doc/build/html/objects.inv

%check
%{__python2} setup.py testr
%if 0%{?with_python3}
rm -rf .testrepository
%{__python3} setup.py testr
%endif

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes
%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/*
%endif

%{_bindir}/grafana-dashboard

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-9
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.0.5-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Sep  1 2017 Jan Beran <jberan@redhat.com> - 0.0.5-6
- Fix of python2-grafyaml requires both python2 and python3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Dec 22 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.5-3
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.5-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Mon Jan 18 2016 Paul Belanger <pabelanger@redhat.com> 0.0.5-1
- Initial commit (#1299580)
